> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/video-tools/video/get-video-export/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # Media · Video · Check an export and retrieve download URLs GET https://api.simplified.com/api/v1/export-lib/{export_id} Poll using export_id returned by textToVideo, scriptToVideo or addBRollsVideo. status: 0 queued, 1 processing, 2 failed, 3 complete. On status=3 read assets.urls for download URLs. Do not submit generation again while waiting for export. Reference: https://docs.simplified.com/api-reference/video-tools/video/get-video-export ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `export_id` (string, required) ## Response ### 200 Resource or asynchronous submission result. - `id` (string, optional) - `status` (enum, optional) — 0=queued, 1=in process, 2=failed, 3=completed. - Allowed values: `0`, `1`, `2`, `3` - `assets` (VideoExportAssets, optional) ## Types ### VideoExportAssets - `urls` (list of string, optional) - `zipped_file` (string, optional) ## Examples **Response** ```json { "id": "string", "status": 0, "assets": { "urls": [ "string" ], "zipped_file": "string" } } ``` **SDK Code** ```python import requests url = "https://api.simplified.com/api/v1/export-lib/export_id" headers = {"Authorization": "Api-Key "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.simplified.com/api/v1/export-lib/export_id'; const options = {method: 'GET', headers: {Authorization: 'Api-Key '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/export-lib/export_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Api-Key ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/export-lib/export_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Api-Key ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.simplified.com/api/v1/export-lib/export_id") .header("Authorization", "Api-Key ") .asString(); ``` ```php request('GET', 'https://api.simplified.com/api/v1/export-lib/export_id', [ 'headers' => [ 'Authorization' => 'Api-Key ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/export-lib/export_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Api-Key "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Api-Key "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/export-lib/export_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```